#
# isttools.tcl
#
# KK
# 99/07/08
#
# Generic tools that will help the user manipulate fields and so forth.
#

# 
# proc infofldval
#
# KK
# 99/07/08
# 
# Given an INFO string and a field to search, returns value of matching
# field. 
#
# the regexp line  will return a 1 if expression is matched
#

proc InfoFldVal { string field val } {
	upvar $val lval
	set status [ regexp "(^|\n| *)$field *:(\[^\n\]+)\n" $string match beg lval ]
	set val [ string trim $lval ]
	return $status
}
