#!/usr/local/bin/tcl8.2
#
# tp_bd.tcl
#
# Kurt Kermes
#
# Test port backdoor utility 
# 
# Mod History: Version 0.5
#
#############################################################################
#
#   (C) COPYRIGHT SILICON GRAPHICS, INC.
#   UNPUBLISHED PROPRIETARY INFORMATION
#   ALL RIGHTS RESERVED UNDER THE COPYRIGHT LAWS OF THE UNITED STATES.
#
#   Portions of this software may still be in development.  The existence
#   of the software still in development is not a commitment of actual
#   release or support by Silicon Graphics, Inc.  Silicon Graphics, Inc.
#   assumes no liability for any damages resulting from attempts to use any
#   product not officially released.  If it is released, the final form of
#   the product and the time of official release is at the discretion of 
#   Silicon Graphics, Inc.
#
#############################################################################
#


proc tp_write { addr wrData } {

	global mod
	global brd
	global chip

	set rdData 0
	set wrArray 0
	set wrEnable 1
	set arrayPclPtr 0
	INST TP
	GOINST
	DATA $rdData.$wrArray.$wrEnable.$arrayPclPtr.$addr.$wrData
	GODATA
	return
}

proc tp_read { addr data } {

	global mod
	global brd
	global chip
	upvar  data lrdData 

	set wrData 0
	set wrArray 0
	set wrEnable 0
	set arrayPclPtr 0
	INST TP
	GOINST
	DATA $data.$wrArray.$wrEnable.$arrayPclPtr.$addr.$wrData
	GODATA
	GODATA
	set lrdData [ INFO CHIP $chip DATA TP.READ_DATA OUT ]
	puts "rdData is $lrdData"
	return $lrdData

}

puts "tp_bd: procs loaded "
puts "     use commands tp_read <addr> <data> "
puts "     and tp_write <addr> <data> "
