#
#/**************************************************************************
# *                                                                        *
# *               Copyright (C) 1989-1999 Silicon Graphics, Inc.           *
# *                                                                        *
# *  These coded instructions, statements, and computer programs  contain  *
# *  unpublished  proprietary  information of Silicon Graphics, Inc., and  *
# *  are protected by Federal copyright law.  They  may  not be disclosed  *
# *  to  third  parties  or copied or duplicated in any form, in whole or  *
# *  in part, without the prior written consent of Silicon Graphics, Inc.  *
# *                                                                        *
# **************************************************************************/
#
# @(#)$Id: TLAControl.pm,v 1.2 2002/05/21 15:55:51 beighley Exp $

package TLAControl;

use 5.006;
use strict;
use warnings;

require Exporter;
require DynaLoader;

our @ISA = qw(Exporter DynaLoader);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use TLAControl ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw( pcf_la_connect
                  pcf_la_disconnect
                  pcf_la_system_load
                  pcf_la_system_save
                  pcf_la_system_run
                  pcf_la_system_stop
                  pcf_la_system_get_status
                  pcf_la_module_get_num_samples
                  pcf_la_module_get_trigger_sample
                  pcf_la_module_get_group_names
                  pcf_la_module_set_channel_group
                  pcf_la_module_set_channel_name
                  pcf_la_module_get_text_data
                  pcf_la_module_save_data
);
our $VERSION = '0.01';

bootstrap TLAControl $VERSION;

# Preloaded methods go here.

1;
__END__
# Below is stub documentation for your module. You better edit it!

=head1 NAME

TLAControl - Perl extension for blah blah blah

=head1 SYNOPSIS

  use TLAControl;
  blah blah blah

=head1 DESCRIPTION

Stub documentation for TLAControl, created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

Blah blah blah.

=head2 EXPORT

None by default.


=head1 AUTHOR

A. U. Thor, E<lt>a.u.thor@a.galaxy.far.far.awayE<gt>

=head1 SEE ALSO

L<perl>.

=cut
