# 
#/**************************************************************************
# *                                                                        *
# *               Copyright (C) 1989-1999 Silicon Graphics, Inc.           *
# *                                                                        *
# *  These coded instructions, statements, and computer programs  contain  *
# *  unpublished  proprietary  information of Silicon Graphics, Inc., and  *
# *  are protected by Federal copyright law.  They  may  not be disclosed  *
# *  to  third  parties  or copied or duplicated in any form, in whole or  *
# *  in part, without the prior written consent of Silicon Graphics, Inc.  *
# *                                                                        *
# **************************************************************************/
# 
# @(#)$Id: VStationCtl.pm,v 1.5 2003/05/06 18:01:49 beighley Exp $
package VStationCtl;

use strict;
use vars qw($VERSION @ISA @EXPORT @EXPORT_OK);

require Exporter;
require DynaLoader;

@ISA = qw(Exporter DynaLoader);

@EXPORT_OK = ( 'all' );

@EXPORT = qw(     pcf_vstation_msg_level
                  pcf_vstation_server_connect
                  pcf_vstation_server_disconnect
                  pcf_vstation_emulator_init
                  pcf_vstation_emulator_shutdown
                  pcf_vstation_is_available
                  pcf_vstation_cd
                  pcf_vstation_configure
                  pcf_vstation_io_enable
                  pcf_vstation_io_disable
                  pcf_vstation_vrun_cmd
                  pcf_vstation_dad_load_trig
                  pcf_vstation_dad_run
                  pcf_vstation_dad_stop
                  pcf_vstation_dad_status_all
                  pcf_vstation_dad_status_field
                  pcf_vstation_dad_wait
                  pcf_vstation_dad_upload
                  pcf_vstation_replay_data
                  pcf_vstation_design_save
                  pcf_vstation_design_restore
                  pcf_vstation_state_ctrl_get
                  pcf_vstation_state_ctrl_set
                  pcf_vstation_mem_reconfigure
                  pcf_vstation_mem_clear
                  pcf_vstation_mem_upload
                  pcf_vstation_mem_poke_file
                  pcf_vstation_mem_poke_addr
                  pcf_vstation_mem_poke_range
                  pcf_vstation_mem_poke_tile
                  pcf_vstation_file_get_mem
                  pcf_vstation_file_get_signal
                  pcf_vstation_file_get_signal_list
                  pcf_vstation_server_set_timeout
                  pcf_jet_emu_mem_upload
                  pcf_jet_emu_mem_poke
                  pcf_jet_emu_file_get_data
                  pcf_jet_emu_file_get_ecc
);
$VERSION = '0.10';

bootstrap VStationCtl $VERSION;

# Preloaded methods go here.

1;
__END__
# Below is stub documentation for your module. You better edit it!

=head1 NAME

VStationCtl - Perl extension for script control of the VStation emulator

=head1 SYNOPSIS

  use VStationCtl;

=head1 DESCRIPTION

Stub documentation for VStationCtl, created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

=head2 EXPORT

None by default.


=head1 AUTHOR

K. R. Beighley, <beighley@sgi.com>

=head1 SEE ALSO

L<perl>.

=cut
