# 
#/**************************************************************************
# *                                                                        *
# *               Copyright (C) 1989-1999 Silicon Graphics, Inc.           *
# *                                                                        *
# *  These coded instructions, statements, and computer programs  contain  *
# *  unpublished  proprietary  information of Silicon Graphics, Inc., and  *
# *  are protected by Federal copyright law.  They  may  not be disclosed  *
# *  to  third  parties  or copied or duplicated in any form, in whole or  *
# *  in part, without the prior written consent of Silicon Graphics, Inc.  *
# *                                                                        *
# **************************************************************************/
# 
# @(#)$Id: DebugSel.pm,v 1.3 2003/11/26 16:49:08 beighley Exp $
package DebugSel;

use 5.006;
use strict;
use warnings;

require Exporter;
require DynaLoader;

our @ISA = qw(Exporter DynaLoader);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use DebugSel ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw(
    pcf_dport_list_create
    pcf_dport_list_rdclr_upd
    pcf_dport_get_parm
    pcf_dport_get_pctrl_parm
    pcf_dport_get_gctrl_list
    pcf_dport_get_tp_names
    pcf_dport_update
    pcf_dport_update_group
    pcf_gctrl_get_parm
    pcf_gctrl_get_grp_list
    pcf_gctrl_get_opt_list
    pcf_gctrl_get_tp_names
    pcf_gctrl_get_selopt_dport
    pcf_octrl_get_parm
    pcf_dport_testpoint_search
);
our $VERSION = '0.01';

bootstrap DebugSel $VERSION;

# Preloaded methods go here.

1;
__END__
# Below is stub documentation for your module. You better edit it!

=head1 NAME

DebugSel - Perl extension for blah blah blah

=head1 SYNOPSIS

  use DebugSel;
  blah blah blah

=head1 DESCRIPTION

Stub documentation for DebugSel, created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

Blah blah blah.

=head2 EXPORT

None by default.


=head1 AUTHOR

A. U. Thor, E<lt>a.u.thor@a.galaxy.far.far.awayE<gt>

=head1 SEE ALSO

L<perl>.

=cut
