#
#/**************************************************************************
# *                                                                        *
# *               Copyright (C) 1989-1999 Silicon Graphics, Inc.           *
# *                                                                        *
# *  These coded instructions, statements, and computer programs  contain  *
# *  unpublished  proprietary  information of Silicon Graphics, Inc., and  *
# *  are protected by Federal copyright law.  They  may  not be disclosed  *
# *  to  third  parties  or copied or duplicated in any form, in whole or  *
# *  in part, without the prior written consent of Silicon Graphics, Inc.  *
# *                                                                        *
# **************************************************************************/
#
# @(#)$Id: JTAGAccess.pm,v 1.10 2006/11/15 19:40:59 beighley Exp $

package JTAGAccess;

use 5.006;
use strict;
use warnings;

require Exporter;
require DynaLoader;

our @ISA = qw(Exporter DynaLoader);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use JTAGAccess ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw( pcf_jtag_msg_level
                  pcf_jtag_connect
                  pcf_jtag_disconnect
                  pcf_jtag_get_just
                  pcf_jtag_set_just
                  pcf_jtag_get_timeout
                  pcf_jtag_set_timeout
                  pcf_jtag_set_ctlr_flag
                  pcf_jtag_target
                  pcf_jtag_set_psi
                  pcf_jtag_reset
                  pcf_jtag_state_to_rti
                  pcf_jtag_dr_load
                  pcf_jtag_scan_ir
                  pcf_jtag_scan_dr
                  pcf_jtag_mmr_target
                  pcf_jtag_mmr_read
                  pcf_jtag_mmr_write
                  pcf_jtag_mmr_read_group
                  pcf_jtag_mmr_write_group
                  pcf_jtag_simacc_set
                  pcf_jtag_simacc_get
                  pcf_jtag_simacc_time
                  pcf_jtag_simacc_dump
                  pcf_scancfg_load
                  pcf_scancfg_get_module
                  pcf_scancfg_get_chain
                  pcf_scancfg_get_chip
                  pcf_scancfg_hardware_init
                  pcf_icd_get_descs
                  pcf_icd_get_parms
                  pcf_jtag_dump_file_open
                  pcf_jtag_dump_file_add
                  pcf_jtag_dump_file_close
                  pcf_jtag_stop_clocks
                  pcf_jtag_dump_chip
);
our $VERSION = '0.01';

bootstrap JTAGAccess $VERSION;

# Preloaded methods go here.

1;
__END__
# Below is stub documentation for your module. You better edit it!

=head1 NAME

JTAGAccess - Perl extension for blah blah blah

=head1 SYNOPSIS

  use JTAGAccess;
  blah blah blah

=head1 DESCRIPTION

Stub documentation for JTAGAccess, created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

Blah blah blah.

=head2 EXPORT

None by default.


=head1 AUTHOR

A. U. Thor, E<lt>a.u.thor@a.galaxy.far.far.awayE<gt>

=head1 SEE ALSO

L<perl>.

=cut
