#
#/**************************************************************************
# *                                                                        *
# *               Copyright (C) 1989-1999 Silicon Graphics, Inc.           *
# *                                                                        *
# *  These coded instructions, statements, and computer programs  contain  *
# *  unpublished  proprietary  information of Silicon Graphics, Inc., and  *
# *  are protected by Federal copyright law.  They  may  not be disclosed  *
# *  to  third  parties  or copied or duplicated in any form, in whole or  *
# *  in part, without the prior written consent of Silicon Graphics, Inc.  *
# *                                                                        *
# **************************************************************************/
#
# @(#)$Id: SysAccess.pm,v 1.4 2003/03/07 17:43:39 beighley Exp $

package SysAccess;

use 5.006;
use strict;
use warnings;

require Exporter;
require DynaLoader;

our @ISA = qw(Exporter DynaLoader);

# Items to export into callers namespace by default. Note: do not export
# names by default without a very good reason. Use EXPORT_OK instead.
# Do not simply export all your public functions/methods/constants.

# This allows declaration	use SysAccess ':all';
# If you do not need this, moving things directly into @EXPORT or @EXPORT_OK
# will save memory.
our %EXPORT_TAGS = ( 'all' => [ qw(
	
) ] );

our @EXPORT_OK = ( @{ $EXPORT_TAGS{'all'} } );

our @EXPORT = qw( pcf_open_connection
                  pcf_close_connection
                  pcf_sysco_set_timeout
                  pcf_sysco_set_wrap_flag
                  pcf_sysco_raw_cmd
                  pcf_sysco_cmd
                  pcf_sysco_cfg
                  pcf_sysco_reset
                  pcf_sysco_pwr
                  pcf_sysco_mgn
                  pcf_sysco_read_pwr
                  pcf_sysco_wait_for_cmd
                  pcf_smdk_cmd
                  pcf_smdk_boot
                  pcf_smdk_run
                  pcf_smdk_dscr_read
                  pcf_smdk_dscr_get_entries
                  pcf_smdk_dscr_get_val
                  pcf_smdk_dscr_read_get_entries
                  pcf_smdk_dscr_read_get_val
                  pcf_smdk_mem_read
);
our $VERSION = '0.01';

bootstrap SysAccess $VERSION;

# Preloaded methods go here.

1;
__END__
# Below is stub documentation for your module. You better edit it!

=head1 NAME

SysAccess - Perl extension for blah blah blah

=head1 SYNOPSIS

  use SysAccess;
  blah blah blah

=head1 DESCRIPTION

Stub documentation for SysAccess, created by h2xs. It looks like the
author of the extension was negligent enough to leave the stub
unedited.

Blah blah blah.

=head2 EXPORT

None by default.


=head1 AUTHOR

A. U. Thor, E<lt>a.u.thor@a.galaxy.far.far.awayE<gt>

=head1 SEE ALSO

L<perl>.

=cut
